indexing
   description : "Simple Demo of EMMAP class"
   project     : "Eiffel-mmap"
   author      : "Pirmin Kalberer <kalberer@spin.ch>"
   copyright   : "Copyright (c) 1999, Pirmin Kalberer"
   date        : "$Date: 1999/12/04 23:12:02 $"
   revision    : "$Revision: 1.1 $"

class EXAMPLE
   
creation
   make
   
feature

   make is
      local
	 fs_r: EMMAP_FILE_STRING
	 fs_rw: EMMAP_FILE_STRING
	 i: INTEGER
      do
	 !!fs_r.make_open_read("emmap_file.e")
	 if fs_r.last_error = 0 then
	    -- print file backwards
	    from
	       i := fs_r.count
	    until
	       i = 0
	    loop
	       print(fs_r.item(i))
	       i := i - 1
	    end
	    print("%N")
	    fs_r.close
	 else
	    print("Error "); print(fs_r.last_error); print("%N")
	 end

	 !!fs_rw.make_open_read_write("example.txt")
	 if fs_rw.last_error = 0 then
	    -- Replace every 10th character by an 'X'
	    from
	       i := 1
	    until
	       i > fs_rw.count
	    loop
	       fs_rw.put('X', i)
	       i := i + 10
	    end
	    fs_rw.close
	 else
	    print("Error "); print(fs_rw.last_error); print("%N")
	 end
		 
      end -- make
   
end 
